
QGIS Application - Bug report #13272

crash on quit

2015-08-26 11:48 PM - Roberto BobMaX

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows and MacOSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 21332

Description

On Windows (7 or others) QGIS crashes with minidump when quit.

It happens also without plugins.

Deleting  .qgis2   dir  the problem seems to be solved, but some time after it appears again.

Randomically, it crashes also QGIS MacOSX (there is no minidump, but other messages).

Related issues:

Related to QGIS Application - Bug report # 13103: Crash dumped when QGIS close Closed 2015-07-09

History

#1 - 2015-08-27 12:29 AM - Roberto BobMaX

Image, where I run QGIS without plugins, and it crashes on quit (also with no activity done):

https://drive.google.com/file/d/0Bwg_m86uaXY1LXRvSGV2WE9uZjg/view?usp=sharing

#2 - 2015-08-27 12:35 AM - Roberto BobMaX

- File qgis-20150827-091710-6764-5396-1b929ef_minidump.zip added

this is the minidump file:

https://drive.google.com/file/d/0Bwg_m86uaXY1MVNBMVZJRVpuVGM/view?usp=sharing

I hope this helps the debug.

#3 - 2015-08-27 03:05 AM - Sandro Santilli

What's the affected version ? Can you get a backtrace from the dump ?

Note that on unix you can prevent the creation of dumps (if that bothers you) using ulimit -c 0

#4 - 2015-08-27 06:17 AM - Jürgen Fischer

Sandro Santilli wrote:

2024-03-20 1/4

https://drive.google.com/file/d/0Bwg_m86uaXY1LXRvSGV2WE9uZjg/view?usp=sharing
https://drive.google.com/file/d/0Bwg_m86uaXY1MVNBMVZJRVpuVGM/view?usp=sharing


What's the affected version ? Can you get a backtrace from the dump ?

Note that on unix you can prevent the creation of dumps (if that bothers you) using ulimit -c 0

qgis-20150827-091710-6764-5396- commit:1b929ef _minidump.zip

#5 - 2015-08-27 06:44 AM - Roberto BobMaX

I used QGIS Pisa 2.10.1 on Windows 7  64 bit.

But, I had this minidump problem from QGIS 2.0.1

And, I know, many others have these (thousand of) minidumps  :(

Sometimes, it crashes during layer editing, losing all changes.

Honestly, you do not ever ?

#6 - 2015-09-04 03:30 AM - Salvatore Larosa

- Status changed from Open to Feedback

I am a little bit confused....

Which the version affected is? (ok, I see it is since 2.0, but it is no longer candidate for backporting)

2.8.2-3 or 2.10.1 ? (the attache image is referred to 2.8.2 and even the minidump) Could you reproduce the crash with 2.10.1 version (or 2.8.3)?

Platform MacOSX should to throw a more verbose backtrace, could you reproduce the crash and paste the stacktrace of the OSX system?

Thanks for your feedback.

#7 - 2015-09-04 06:19 AM - Roberto BobMaX

I want to dissolve your doubts.

I have (indeed, we all have) the minidump messages from QGIS 2.0.1 version  (that is, if I remember well, the first with multithreading in viewing ).

The minidump problem continues since QGIS 2.10, today, uninterruptedly, and

it also occurs by completely disabling the plugin.

Only deleting the .qgis2 directory, the problem seems to disappear, but after some time occurs again (repeat: also without python plugins).

The peak happens if you run an older version of QGIS (especially the 2.6) before using again the version 2.10.

I am not alone in which this happens, but it is a widespread problem among users.

As soon as possible, I send messages on MacOSX, when I will experience a crash, however, Windows 7 64-bit I became a regular message.

Update:   here there is a MacOSX crash report I had with QGIS:
https://drive.google.com/file/d/0Bwg_m86uaXY1M0dmdFpnMTRrZVU/view?usp=sharing

I hope this can be useful to your debug.

Regards

Roberto

#8 - 2015-09-04 07:29 AM - Salvatore Larosa

Roberto BobMaX wrote:

I want to dissolve your doubts.

I have (indeed, we all have) the minidump messages from QGIS 2.0.1 version  (that is, if I remember well, the first with multithreading in viewing ).

Multithreading is landed since 2.4 version.

The minidump problem continues since QGIS 2.10, today, uninterruptedly, and

it also occurs by completely disabling the plugin.

Unfortunately your statements are too generic for the bug tracker but it may be very useful if you'd manage to send a very small project (.qgs) to reproduce

the crash which will help a lot the developers to solve the issue.

Only deleting the .qgis2 directory, the problem seems to disappear, but after some time occurs again (repeat: also without python plugins).

The peak happens if you run an older version of QGIS (especially the 2.6) before using again the version 2.10.

I am not alone in which this happens, but it is a widespread problem among users.

As soon as possible, I send messages on MacOSX, when I will experience a crash, however, Windows 7 64-bit I became a regular message.

Thanks, once you get the crash report back the stacktrace message, I'm 99% sure anyone take in account it in order to make happy everybody again!

#9 - 2015-10-05 02:33 AM - Jürgen Fischer

- Subject changed from minidump to crash on quit

What in your .qgis2 and what the difference between .qgis2 in the state where it causes the crash and a clean one?  You could try to regularly backup

.qgis2 until it's broken again, then verify that it actually causes the crash by renaming the last bad copy and renaming the last good one to .qgis2. 

Comparing the good and bad copy might then give an insight what's actually causing the problem.

#10 - 2015-10-08 09:11 AM - Giovanni Manghi

please note that there are 3rdparty plugins known to crash qgis even when disabled in the plugin manager (even after restarting qgis).
https://drive.google.com/file/d/0Bwg_m86uaXY1M0dmdFpnMTRrZVU/view?usp=sharing


#11 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#12 - 2015-11-10 04:37 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Closing for lack of feedback. Reopen if necessary.

#13 - 2015-11-22 12:29 AM - Roberto BobMaX

Update: here there is a MacOSX crash report I had with QGIS:

https://drive.google.com/file/d/0Bwg_m86uaXY1M0dmdFpnMTRrZVU/view?usp=sharing

I hope this can be useful to your debug.

Regards

Roberto

Files

qgis-20150827-091710-6764-5396-1b929ef_minidump.zip 4.11 MB 2015-08-26 Roberto BobMaX
https://drive.google.com/file/d/0Bwg_m86uaXY1M0dmdFpnMTRrZVU/view?usp=sharing

